
TYPO3.ExtJS - Task # 27665

Story # 41101 (New): As user, I want a well-working content editing (Bugfix Story)

Status: Resolved Priority: Should have
Author: Michael Klapper Category: ExtDirect
Created: 2011-06-23 Assigned To: Karsten Dambekalns
Updated: 2012-12-07 Due date:
Subject: Exception of thrown in TYPO3\ExtJS\ExtDirect\RequestHandler::buildJsonRequest() not caught
Description

If i got an Exception from TYPO3\ExtJS\ExtDirect\RequestHandler::buildJsonRequest() method there is no try catch around the
method call to catch the Exception.

The problem on this is that i'm not able to show a error message if such thing happend...

The Exception could be caught in TYPO3\ExtJS\ExtDirect\RequestHandler::handleRequest() and converted to a valid JSON formatted
object.

Related issues:
related to TYPO3.ExtJS - Bug # 27663: Fatal error class "F3\ExtJS\ExtDirect\E... Resolved 2011-06-23

Associated revisions
Revision 584f77e0 - 2012-12-05 10:54 - Karsten Dambekalns

[BUGFIX] Adjust ExtDirect RequestHandler to Flow changes

This adjusts the RequestHandler to the recent changes in Flow regarding
session handling. For this the usual HTTP response is now used.

Some additional cleanup is done and error handling has been added.

Change-Id: I3c83bd5be07f1b6cba769f4c1743a3e8a9fa0241
Fixes: #43611
Fixes: #27665

History
#1 - 2012-07-11 15:20 - Karsten Dambekalns
- Category set to ExtDirect

#2 - 2012-07-13 16:17 - Karsten Dambekalns
- Subject changed from Exception of thrown in F3\ExtJS\ExtDirect\RequestBuilder::Build not catched? to Exception of thrown in 
TYPO3\ExtJS\ExtDirect\RequestHandler::buildJsonRequest() not caught

#3 - 2012-12-05 10:52 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to Sprint February 2013
- Parent task set to #41101

#4 - 2012-12-05 10:55 - Gerrit Code Review
Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16964

#5 - 2012-12-05 11:35 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#6 - 2012-12-07 15:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:584f77e0d0d3d8503bf765e1d6157ef47e2fab8d.

2015-08-03 2/2

http://review.typo3.org/16964

